Gentoo Archives: gentoo-commits

From: "Michał Górny" <mgorny@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/clang-python/
Date: Thu, 28 Feb 2019 17:41:50
Message-Id: 1551375693.a119e8a30c535e06c3be0d8fb208ae2bb9c971f5.mgorny@gentoo
commit:     a119e8a30c535e06c3be0d8fb208ae2bb9c971f5
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 28 17:11:45 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Feb 28 17:41:33 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a119e8a3

dev-python/clang-python: Bump to 8.0.0rc3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/clang-python/Manifest                   |  1 +
 .../clang-python/clang-python-8.0.0_rc3.ebuild     | 47 ++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index bc6db8edcbc..931b9c4dc7b 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -3,3 +3,4 @@ DIST cfe-5.0.2.src.tar.xz 11459216 BLAKE2B 80d9b2ab70b00c0dfd5c5386a44e0c15d8252
 DIST cfe-6.0.1.src.tar.xz 11905772 BLAKE2B abb60e9f9827d1d8a24f0aaf8a1d1e32979293cc401258d230f93290e633645747fd0344af189ac7081b06be2cada503364e1e432b37110ade4b3578e40c7605 SHA512 f64ba9290059f6e36fee41c8f32bf483609d31c291fcd2f77d41fecfdf3c8233a5e23b93a1c73fed03683823bd6e72757ed993dd32527de3d5f2b7a64bb031b9
 DIST cfe-7.0.1.src.tar.xz 12488668 BLAKE2B b80247b5caf81661dfa715d9bf454b8023221bd27ce49b6bd8cd66f40ffe01448e40fb828fbcc64e49f059af7a7c5a95a0737b0b998454ac5c1dd39388150fa6 SHA512 df2f38153ebdc261bcfa6a569567f759bbb1a803192882a9d4eca55a47878166ac9057151a94ad341dc1281136547e4faa783a68070dfde2307b48cacd4b9194
 DIST cfe-8.0.0rc2.src.tar.xz 12861448 BLAKE2B b4f671b6597b46cb84b241bf602d7e1b12c896b9d3d5857c61a731c9ea0d94dc850c79cbbcb4a56cf2b54f2ffbc81e04f2062c59d4c5b800841e60eccd0dcfe9 SHA512 2bf1e39f5fc7842039b8e20913b3c71fea46b541825c703ce329f3fa01e45cf66c2cd39d9a0f92cf2c38eeb856e42023b087da0765baa0377226534a554c0d9a
+DIST cfe-8.0.0rc3.src.tar.xz 12863708 BLAKE2B 1a05ee86b305de0d1e2cda1f89f22405e3c7826214e83b2275d14682374c31d72fd984a2b5d8da7fc906fb95003aee6a00e6e1700f7938f3042df2229fee9c50 SHA512 afc9d7bce817a9d8faf12efb273934539b18471fb4ece8fed56249628b17a302427c4e7ecbfa096287547e01f3823b9b7a1be4bf18417cc1c942776057b90db1

diff --git a/dev-python/clang-python/clang-python-8.0.0_rc3.ebuild b/dev-python/clang-python/clang-python-8.0.0_rc3.ebuild
new file mode 100644
index 00000000000..ba2878b2698
--- /dev/null
+++ b/dev-python/clang-python/clang-python-8.0.0_rc3.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6,3_7} )
+inherit python-r1
+
+MY_P=cfe-${PV/_/}.src
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/"
+SRC_URI="https://prereleases.llvm.org/${PV/_//}/${MY_P}.tar.xz"
+
+LICENSE="UoI-NCSA"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-fbsd"
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+RDEPEND="
+	>=sys-devel/clang-${PV}:*
+	!sys-devel/llvm:0[clang(-),python(-)]
+	!sys-devel/clang:0[python(-)]
+	${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${MY_P}/bindings/python
+
+src_unpack() {
+	einfo "Unpacking parts of ${MY_P}.tar.xz ..."
+	tar -xJf "${DISTDIR}/${MY_P}.tar.xz" "${MY_P}/bindings/python" || die
+}
+
+python_test() {
+	"${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+	python_foreach_impl python_test
+}
+
+src_install() {
+	python_foreach_impl python_domodule clang
+}